"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var package_const_1 = require("../constants/package.const");
var WrongWorkspaceError = /** @class */ (function (_super) {
    tslib_1.__extends(WrongWorkspaceError, _super);
    function WrongWorkspaceError(message) {
        var _this = _super.call(this, message) || this;
        _this.isWrongWorkspace = true;
        _this.name = 'Wrong Workspace';
        return _this;
    }
    return WrongWorkspaceError;
}(Error));
exports.WrongWorkspaceError = WrongWorkspaceError;
var NoPackageJsonError = /** @class */ (function (_super) {
    tslib_1.__extends(NoPackageJsonError, _super);
    function NoPackageJsonError(script) {
        var _this = _super.call(this, "\n    Can't find " + package_const_1.PACKAGE_JSON + ".\n    Make sure you run the script " + script + " from the workspace root.\n      ") || this;
        _this.hasNoPackageJson = true;
        return _this;
    }
    return NoPackageJsonError;
}(Error));
exports.NoPackageJsonError = NoPackageJsonError;
var NotFoundWorkspaceRootError = /** @class */ (function (_super) {
    tslib_1.__extends(NotFoundWorkspaceRootError, _super);
    function NotFoundWorkspaceRootError() {
        var _this = _super.call(this, "\n    \n    Can't find workspace\n    Make sure you run the script inside the project\n      ") || this;
        _this.isNotFoundWorkspaceRootError = true;
        _this.name = 'Not Found Workspace Error';
        return _this;
    }
    return NotFoundWorkspaceRootError;
}(Error));
exports.NotFoundWorkspaceRootError = NotFoundWorkspaceRootError;
var NotFoundPackageWorkspaceError = /** @class */ (function (_super) {
    tslib_1.__extends(NotFoundPackageWorkspaceError, _super);
    function NotFoundPackageWorkspaceError() {
        var _this = _super.call(this, "\n    \n    Can't find workspace package\n    Make sure you run the script inside the package\n        \n    The workspace " + package_const_1.PACKAGE_JSON + " should have:\n        workspace: true;\n        private: false;\n      ") || this;
        _this.isNotFoundPackageWorkspaceError = true;
        _this.name = 'Not Found Workspace Error';
        return _this;
    }
    return NotFoundPackageWorkspaceError;
}(Error));
exports.NotFoundPackageWorkspaceError = NotFoundPackageWorkspaceError;
